> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shelv.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Redeliver failed webhook

> Requeue a failed, canceled, or dead-letter delivery job.



## OpenAPI

````yaml openapi.yaml post /v1/webhooks/{id}/deliveries/{jobId}/redeliver
openapi: 3.1.0
info:
  description: >-
    Convert documents into structured Markdown filesystems that AI agents can
    hydrate and use in sandbox runtimes.
  title: Shelv API
  version: 1.0.0
servers:
  - url: https://api.shelv.dev
security:
  - bearerApiKey: []
paths:
  /v1/webhooks/{id}/deliveries/{jobId}/redeliver:
    post:
      tags:
        - Webhooks
      summary: Redeliver failed webhook
      description: Requeue a failed, canceled, or dead-letter delivery job.
      parameters:
        - in: path
          name: id
          required: true
          schema:
            $ref: '#/components/schemas/WebhookPublicIdParam'
        - in: path
          name: jobId
          required: true
          schema:
            $ref: '#/components/schemas/WebhookJobPublicIdParam'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookRedeliverResponse'
          description: Redelivery queued
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Delivery job not found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Delivery job cannot be redelivered
      security:
        - bearerApiKey: []
components:
  schemas:
    WebhookPublicIdParam:
      pattern: ^wh_[0-9a-f]{24}$
      type: string
    WebhookJobPublicIdParam:
      pattern: ^job_[0-9a-f]{24}$
      type: string
    WebhookRedeliverResponse:
      properties:
        jobPublicId:
          pattern: ^job_[0-9a-f]{24}$
          type: string
        success:
          enum:
            - true
          type: boolean
      required:
        - success
        - jobPublicId
      type: object
    ErrorResponse:
      properties:
        code:
          type: string
        details: {}
        message:
          type: string
      required:
        - code
        - message
      type: object
  securitySchemes:
    bearerApiKey:
      bearerFormat: APIKey
      scheme: bearer
      type: http

````